PGPP(1)

NAME
pgpp - PostgreSQL language prettifier

DESCRIPTION
usage: pgpp [-h] [-v] [-p] [-t] [-n] [-m COMPACT_LISTS_MARGIN]

    [-s SPLIT_STRING_LITERALS] [-f] [-F] [-c] [-e] [-C] [-S STATEMENT] [infile] [outfile]

PostgreSQL language prettifier

  positional arguments:

infile
    a file containing the SQL statement to be prettyprinted, by default stdin, when not specified with --statement option

outfile
    where the result will be written, by default stdout

  options:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-p, --plpgsql
    use the plpgsql parser (implies --parse-tree)

-t, --parse-tree
    show the resulting parse tree instead

-n, --normalize
    show the normalized statement, without prettification (some options below may have no effect)

-m, --compact-lists-margin COMPACT_LISTS_MARGIN
    use compact form for lists not exceeding the given margin

-s, --split-string-literals SPLIT_STRING_LITERALS
    split string literals longer than given value

-f, --special-functions
    activate special functions handling

-F, --remove-pg_catalog-from-functions
    omit explicit "pg_catalog" schema from function names, when possible

-c, --comma-at-eoln
    use alternative style to print lists, putting the comma right after each item

-e, --semicolon-after-last-statement
    end the last statement with a semicolon

-C, --preserve-comments
    preserve comments in the statement

-S, --statement STATEMENT
    the SQL statement